package com.ejie.ab79.model.inspecciones;

import com.ejie.ab79.model.procedimientos.Direcciones;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * ResultadosInspeccion  
 * 
 *  
 */

public class ResultadosInspeccion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idResultadoInspeccion;
	private Direcciones direccion;
	private OrigenesInspeccion origenInspeccion;
	private DesResIns desResIns;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltimaModificacion;
	private String usuarioUltimaModificacion;
	private Integer baja;
	private Integer idInspeccion;

	/**
	 * Method 'ResultadosInspeccion'.
	 */
	public ResultadosInspeccion() {
	}

	/**
	 * Method 'ResultadosInspeccion'.
	 * 
	 * @param idResultadoInspeccion
	 *            Integer
	 */
	public ResultadosInspeccion(Integer idResultadoInspeccion) {
		this.idResultadoInspeccion = idResultadoInspeccion;
	}

	/**
	 * Method 'ResultadosInspeccion'.
	 * 
	 * @param idResultadoInspeccion
	 *            Integer
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public ResultadosInspeccion(Integer idResultadoInspeccion,
			Date fechaRegistro, String usuarioRegistro) {

		this.idResultadoInspeccion = idResultadoInspeccion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdResultadoInspeccion'.
	 *
	 * @return Integer
	 */

	public Integer getIdResultadoInspeccion() {
		return this.idResultadoInspeccion;
	}

	/**
	 * Method 'setIdResultadoInspeccion'.
	 *
	 * @param idResultadoInspeccion
	 *            Integer
	 * @return
	 */

	public void setIdResultadoInspeccion(Integer idResultadoInspeccion) {
		this.idResultadoInspeccion = idResultadoInspeccion;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public Direcciones getDireccion() {
		return direccion;
	}

	public void setDireccion(Direcciones direccion) {
		this.direccion = direccion;
	}

	public OrigenesInspeccion getOrigenInspeccion() {
		return origenInspeccion;
	}

	public void setOrigenInspeccion(OrigenesInspeccion origenInspeccion) {
		this.origenInspeccion = origenInspeccion;
	}

	public DesResIns getDesResIns() {
		return desResIns;
	}

	public void setDesResIns(DesResIns desResIns) {
		this.desResIns = desResIns;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltimaModificacion() {
		return fechaUltimaModificacion;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltimaModificacion(Date fechaUltimaModificacion) {
		this.fechaUltimaModificacion = fechaUltimaModificacion;
	}

	public String getUsuarioUltimaModificacion() {
		return usuarioUltimaModificacion;
	}

	public void setUsuarioUltimaModificacion(String usuarioUltimaModificacion) {
		this.usuarioUltimaModificacion = usuarioUltimaModificacion;
	}

	public Integer getBaja() {
		return baja;
	}

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idResultadoInspeccion: ").append(this.idResultadoInspeccion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
